List pipeline stages
Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.
Stages in pipeline order, with their win probability forecast and the number of days after which a deal in the stage counts as critical.
GET
/v1/deal-stagesAuthorization
AuthorizationBearer token · headerrequiredWorkspace API key (`bh_…`).
Responses
200OK
dataobject[]requiredShow propertiesHide properties
Array of
objectidstringrequiredkeystringrequirednamestringrequiredsortOrderintegerrequiredmin -9007199254740991 · max 9007199254740991
archivedbooleanrequiredprobabilityinteger | anyrequiredShow propertiesHide properties
Any of:
integer
integerany
anystaleAfterDaysinteger | anyrequiredShow propertiesHide properties
Any of:
integer
integerany
anyRequest
curl -X GET "https://app.bauhow.com/api/v1/deal-stages" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://app.bauhow.com/api/v1/deal-stages", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://app.bauhow.com/api/v1/deal-stages",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"data": [
{
"id": "string",
"key": "string",
"name": "string",
"sortOrder": 0,
"archived": true,
"probability": 0,
"staleAfterDays": 0
}
]
}